/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.perstatistics;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import javax.persistence.*;
import lombok.*;
import lombok.experimental.FieldDefaults;
import lombok.experimental.FieldNameConstants;
import org.hibernate.annotations.Comment;
import org.hibernate.annotations.CreationTimestamp;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.UpdateTimestamp;
import org.hibernate.snowflake.SnowflakeId;

/**
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/5/15 9:15
 */
@Getter
@Setter
@ToString
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@FieldDefaults(level = AccessLevel.PRIVATE)
@Entity
@Table(name = "BS_PERSONNEL_STATISTICS")
@Comment("区域人员统计")
public class PersonnelStatistics implements Serializable {

    @Serial
    private static final long serialVersionUID = 1276138943241366605L;

    @Id
    @Comment("主键id")
    @GeneratedValue(generator = SnowflakeId.GENERATOR)
    @GenericGenerator(name = SnowflakeId.GENERATOR, strategy = SnowflakeId.Strategy.LONG)
    Long id;

    @Comment("区域")
    String region;

    @Comment("入场人数")
    String admissionNumber;

    @Comment("出场人数")
    String attendance;

    @Comment("创建时间")
    @CreationTimestamp
    LocalDateTime createTime;

    @Comment("修改时间")
    @UpdateTimestamp
    LocalDateTime updateTime;
}
