/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.perstatistics;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/5/15 9:15
 */
@ApiModel("PersonnelStatisticsQueryParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class PersonnelStatisticsQueryParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -638192778218413746L;

    @ApiModelProperty(value = "区域", example = "11")
    Long sourceId;

    @ApiModelProperty(value = "部门名称", example = "11")
    Long departmentId;

    @ApiModelProperty(value = "开始时间")
    LocalDateTime startTime;

    @ApiModelProperty(value = "结束时间")
    LocalDateTime endTime;
}
