/* (C) 2022 YiRing, Inc. */
package com.yiring.auth.param.user;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 导出参数
 *
 * @author LJ-2204
 * @date 2022/5/14
 */

@ApiModel("UserExportParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class UserExportParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 5861302386921496920L;

    @ApiModelProperty(value = "姓名", example = "张三")
    String realName;

    @ApiModelProperty(value = "部门ID", example = "100")
    Long deptId;

    @ApiModelProperty(value = "角色ID", example = "100")
    String roles;
}
